/* ---------------------------------------------------------- 
------------------- CSS principal de: ----------------------- 
------------------ CLOUD GYM-CHESEAUX -----------------------
------------------------------------------------------------- */

/* 	
	Author: Aline Maillard
	Date: 2019	
	Version: 1.0 
*/

html{
	position: relative;
	max-width: 100%;
	min-height: 100%;
}

body{
	margin: 30px;
	margin-top: 70px;
	margin-bottom: 150px;
	padding: 15px;
	text-align: justify;
	font-family: Trebuchet MS, georgia, arial, times;
	font-size: 1em;
	word-spacing: 0.2em;
	letter-spacing: 0.07em;
	background-color: rgb(255,255,255);
}
/* --- Banner --- */
#banner{
		width: 100%;
		text-align: center;
}

#userLogo{
	position: absolute;
	top: 30px;
	right: 30px;
	font-size: 1.2em;
	cursor: pointer;
}

#dropdownMenuConnexion{
	position: absolute;
	right: 30px;
	left: auto;
}


h1{
	padding-top: 10px!important;
	font-family: arial, Trebuchet, arial;
	text-align: center;
	font-weight: bold;
	text-shadow: 1px 1px 2px rgba(30,30,30,0.2);
}


/* ---- Les textes ---- */
.center{text-align: center;}
.note{font-size:0.7em;}

h2{
	margin-top: 50px;
	font-weight: bold;
}


/* ---- Liens ---- */
a.disabled{
	cursor: default; 
}


/* ---- Message Erreur ---*/
.errorMsg{
	margin-top: 30px;
	font-weight: bold;
	display: none;
}

/* ---- Legende ---- */
.fa-circle.actif{color: green;}
.fa-circle.arret{color: orange;}
.fa-circle.dem{color: red;}

/* ---- Form ---- */
.form{
	position: relative;
	display: none;
	padding: 30px;
	margin: 15px;
	margin-top: 30px;
	margin-bottom: 30px;
	border: 1px solid rgb(0,148,255);
	border-radius: 8px;
}

label{
	font-weight: bold;
}

.close_form{
	position: absolute;
	right: -15px;
	top: -15px;
	font-size: 1.5em;
	background-color: white;
	padding: 5px;
	color: rgb(0,148,255);
	cursor: pointer;
}

.titre_add{
	position: absolute;
	top: -28px;
	left: 30px;
	background-color: white;
	font-size: 1.2em;
	font-weight: bold;
	padding: 10px;
}

/* --- Logon ---*/
#logon{
	margin: auto;
	margin-top: 30px;
	border-radius: 4px;
	padding: 40px;
	width: 80%;
	box-shadow: 3px 3px 15px rgba(50,50,50,0.3);
}


/* ---- Footer ----- */
footer{
	position: absolute;
	z-index: 100000;
	bottom: 0px;
	left: 0px;
	
	width: 100%;
	height: 50px;
	
	margin: 0px;
	padding: 15px;
	
	display: flex;
	justify-content: space-between;
	background-color: rgb(30,30,30);
	color: rgb(250,250,250);
	
	font-size: 0.9em;
	
	box-shadow: 0px 0px 10px rgba(0,0,0,0.9);
}

@media all and (max-width: 800px){
	body{
		font-size: 0.8em;
	}
	h2{font-size: 1.5rem;}
	#banner img{height: 100px;}
	footer{
		font-size: 0.7em;
	}
	.BidDeviceOnly{display: none;}
}